/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "maya.pmh"
#include "platform/dlCore.cc"

extern "C"
{

using namespace fe;

FE_DL_EXPORT void ListDependencies(List<String*>& list)
{
	list.append(new String("fexOperatorDL"));
	list.append(new String("fexSurfaceDL"));
}

FE_DL_EXPORT Library* CreateLibrary(sp<Master>)
{
	Library *pLibrary = new Library();
//	pLibrary->add<SurfaceTrianglesMaya>("SurfaceI.SurfaceTrianglesMaya.fe");
	pLibrary->add<SurfaceTrianglesMaya>(
			"SurfaceI.SurfaceTrianglesMaya.fe");
	pLibrary->add<SurfaceAccessibleMaya>(
			"SurfaceAccessibleI.SurfaceAccessibleMaya.fe");
	pLibrary->add<MayaDraw>("DrawI.MayaDraw.fe");
	return pLibrary;
}

}
